Package com.sun.java.help.impl

# Class JHelpPrintHandler

java.lang.Object
com.sun.java.help.impl.JHelpPrintHandler

All Implemented Interfaces:
  `ActionListener`, `EventListener`

Direct Known Subclasses:
  `JHelpPrintHandler1_2`

public class JHelpPrintHandler extends Object implements ActionListener
Print handler for JavaHelp. Because JDK1.1 is not supported since JavaHelp version 2.0 this class contains all printing code.

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`class`
`JHelpPrintHandler.JHPageable`

## Field Summary

Fields
Modifier and Type
Field
Description
`protected SwingPropertyChangeSupport`
`changeSupport`
If any `PropertyChangeListeners` have been registered, the `changeSupport` field describes them.
`static final String`
`PAGE_SETUP_BUTTON_NAME`
`static final String`
`PRINT_BUTTON_NAME`
`static final String`
`PRINT_LATER_BUTTON_NAME`

## Constructor Summary

Constructors
Constructor
Description
`JHelpPrintHandler(JHelp help)`

## Method Summary

Modifier and Type
Method
Description
`void`
`actionPerformed(ActionEvent e)`
ActionListener to perform printing.
`void`
`addPropertyChangeListener(PropertyChangeListener listener)`
Adds a `PropertyChangeListener` to the listener list.
`protected void`
`firePropertyChange(String propertyName, Object oldValue, Object newValue)`
Supports reporting bound property changes.
`HelpModel`
`getHelpModel()`
Getter for property model.
`static JHelpPrintHandler`
`getJHelpPrintHandler(JHelp help)`
`PageFormat`
`getPageFormat()`
Getter for property pageFormat.
`PageFormat`
`getPF()`
Deprecated.
As of JavaHelp version 2.0, replaced by `getPageFormat()`.
`PrinterJob`
`getPrinterJob()`
`protected static Rectangle`
`getViewRec(View rootview, float width, float height)`
Setups size of editor and return its optimal width.
`void`
`handlePageSetup(Component psComp)`
Sets the PrintHandler to handle pageSetup as a separate action from printing.
`boolean`
`isEnabled()`
Returns true if the action is enabled.
`void`
`print(URL url)`
`void`
`print(URL[] urls)`
`void`
`printSetup()`
`protected static void`
`processException(Exception e)`
`void`
`removePropertyChangeListener(PropertyChangeListener listener)`
Removes a `PropertyChangeListener` from the listener list.
`void`
`setEnabled(boolean newValue)`
Enables or disables the action.
`void`
`setHelpModel(HelpModel helpModel)`
`void`
`setPageFormat(PageFormat pageFormat)`
Setter for property pageFormat.
`void`
`setPF(PageFormat pf)`
Deprecated.
As of JDK version 2.0, replaced by `setPageFormat(pageFormat)`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### PRINT_BUTTON_NAME

public static final String PRINT_BUTTON_NAME

See Also:
  - Constant Field Values

### PAGE_SETUP_BUTTON_NAME

public static final String PAGE_SETUP_BUTTON_NAME

See Also:
  - Constant Field Values

### PRINT_LATER_BUTTON_NAME

public static final String PRINT_LATER_BUTTON_NAME

See Also:
  - Constant Field Values

### changeSupport

protected SwingPropertyChangeSupport changeSupport
If any `PropertyChangeListeners` have been registered, the `changeSupport` field describes them.

## Constructor Details

### JHelpPrintHandler

public JHelpPrintHandler(JHelp help)

## Method Details

### getJHelpPrintHandler

public static JHelpPrintHandler getJHelpPrintHandler(JHelp help)

### firePropertyChange

protected void firePropertyChange(String propertyName, Object oldValue, Object newValue)
Supports reporting bound property changes. This method can be called when a bound property has changed and it will send the appropriate `PropertyChangeEvent` to any registered `PropertyChangeListeners`.

### addPropertyChangeListener

public void addPropertyChangeListener(PropertyChangeListener listener)
Adds a `PropertyChangeListener` to the listener list. The listener is registered for all properties.

A `PropertyChangeEvent` will get fired in response to setting a bound property, e.g. `setFont`, `setBackground`, or `setForeground`. Note that if the current component is inheriting its foreground, background, or font from its container, then no event will be fired in response to a change in the inherited property.

Parameters:
  `listener` - The `PropertyChangeListener` to be added
See Also:
  - `Action.addPropertyChangeListener(java.beans.PropertyChangeListener)`

### removePropertyChangeListener

public void removePropertyChangeListener(PropertyChangeListener listener)
Removes a `PropertyChangeListener` from the listener list. This removes a `PropertyChangeListener` that was registered for all properties.

Parameters:
  `listener` - the `PropertyChangeListener` to be removed
See Also:
  - `Action.removePropertyChangeListener(java.beans.PropertyChangeListener)`

### isEnabled

public boolean isEnabled()
Returns true if the action is enabled.

Returns:
  true if the action is enabled, false otherwise
See Also:
  - `Action.isEnabled()`

### setEnabled

public void setEnabled(boolean newValue)
Enables or disables the action.

Parameters:
  `newValue` - true to enable the action, false to disable it
See Also:
  - `Action.setEnabled(boolean)`

### actionPerformed

public void actionPerformed(ActionEvent e)
ActionListener to perform printing. The current implementation of Swing requires that this go through an ActionListener as it must be in the EventDispatchThread.

Specified by:
  `actionPerformed` in interface `ActionListener`

### printSetup

public void printSetup()

### print

public void print(URL url)

### print

public void print(URL[] urls)

### getPageFormat

public PageFormat getPageFormat()
Getter for property pageFormat.

Returns:
  Value of property pageFormat.

### getPF

public PageFormat getPF()
Deprecated.
As of JavaHelp version 2.0, replaced by `getPageFormat()`.

### setPageFormat

public void setPageFormat(PageFormat pageFormat)
Setter for property pageFormat.

Parameters:
  `pageFormat` - New value of property pageFormat.

### setPF

public void setPF(PageFormat pf)
Deprecated.
As of JDK version 2.0, replaced by `setPageFormat(pageFormat)`.

### getPrinterJob

public PrinterJob getPrinterJob()

### handlePageSetup

public void handlePageSetup(Component psComp)
Sets the PrintHandler to handle pageSetup as a separate action from printing. PageSetup is only in 1.2 but we put in the 1.1 code to make it easier. On 1.1 this will essential do nothing. On 1.2 this sets up the button so we know if we're printing or just doing a page setup.

### setHelpModel

public void setHelpModel(HelpModel helpModel)

### getHelpModel

public HelpModel getHelpModel()
Getter for property model.

Returns:
  Value of property model.

### getViewRec

protected static Rectangle getViewRec(View rootview, float width, float height)
Setups size of editor and return its optimal width.

### processException

protected static void processException(Exception e)